Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 15207

Description

The QGIS GUI can be used to set the GRASS region. However there need to be greater error checking. If you drag the mouse in the

wrong manner you can create an invalid region. Additionaly there is no way to recover from within QGIS.

See attached GRASS 'location' folder uk_epsg900913.7z

This location was created by QGIS.

If you place this file in your GRASS directory and try to select this location you will receive a pop-up message...

"Cannot read current region: is invalid <North must be larger than SOuth>"

The only way I found to recover form this was to shut-down QGIS and replace the WIND file with an old one. Or, delete the location and

start again.

Therefore:

1) Can QGIS have greater error checking so corrupted GRASS regions cannot be created.

2) If QGIS detects an error in the WIND file, provide a means to reset it to a known-good default one.

History

#1 - 2012-10-05 07:15 AM - Paolo Cavallini

- Project changed from QGIS Plugin Site to QGIS Application

- Tracker changed from Bug report to Feature request

#2 - 2012-10-05 12:53 PM - spider plant

Er, are you sure?

You think that preventing QGIS from going into a state where it cannot easily be recovered, is just a feature?

Seriously this is a bug if ever there was a bug.

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

Files

uk_epsg900913.7z 797 Bytes 2012-05-27 spider plant
